// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: command/charger/ClearChargingProfile.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace ClearChargingProfile {

  /// <summary>Holder for reflection information generated from command/charger/ClearChargingProfile.proto</summary>
  public static partial class ClearChargingProfileReflection {

    #region Descriptor
    /// <summary>File descriptor for command/charger/ClearChargingProfile.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static ClearChargingProfileReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Cipjb21tYW5kL2NoYXJnZXIvQ2xlYXJDaGFyZ2luZ1Byb2ZpbGUucHJvdG8S",
            "FmNsZWFyX2NoYXJnaW5nX3Byb2ZpbGUaJWNvbW1hbmQvY2hhcmdlci9DaGFy",
            "Z2luZ1Byb2ZpbGUucHJvdG8i/QEKG0NsZWFyQ2hhcmdpbmdQcm9maWxlQ29t",
            "bWFuZBIPCgJpZBgBIAEoBUgAiAEBEhkKDGNvbm5lY3Rvcl9pZBgCIAEoBUgB",
            "iAEBElMKGGNoYXJnaW5nX3Byb2ZpbGVfcHVycG9zZRgDIAEoDjIsLmNoYXJn",
            "aW5nX3Byb2ZpbGUuQ2hhcmdpbmdQcm9maWxlUHVycG9zZVR5cGVIAogBARIY",
            "CgtzdGFja19sZXZlbBgEIAEoBUgDiAEBQgUKA19pZEIPCg1fY29ubmVjdG9y",
            "X2lkQhsKGV9jaGFyZ2luZ19wcm9maWxlX3B1cnBvc2VCDgoMX3N0YWNrX2xl",
            "dmVsIsYBCiNDbGVhckNoYXJnaW5nUHJvZmlsZUNvbW1hbmRSZXNwb25zZRJm",
            "CgZzdGF0dXMYASABKA4yVi5jbGVhcl9jaGFyZ2luZ19wcm9maWxlLkNsZWFy",
            "Q2hhcmdpbmdQcm9maWxlQ29tbWFuZFJlc3BvbnNlLkNsZWFyQ2hhcmdpbmdQ",
            "cm9maWxlU3RhdHVzIjcKGkNsZWFyQ2hhcmdpbmdQcm9maWxlU3RhdHVzEgwK",
            "CEFjY2VwdGVkEAASCwoHVW5rbm93bhABQpIBCiFjb20uY29kaWJseS5tb2Rl",
            "bC5jb21tYW5kLmNoYXJnZXJCGUNsZWFyQ2hhcmdpbmdQcm9maWxlUHJvdG/K",
            "AiFEb21haW5Nb2RlbFxQcm90b1xDb21tYW5kXENoYXJnZXLiAi1Eb21haW5N",
            "b2RlbFxQcm90b1xDb21tYW5kXENoYXJnZXJcR1BCTWV0YWRhdGFiBnByb3Rv",
            "Mw=="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::ChargingProfile.ChargingProfileReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::ClearChargingProfile.ClearChargingProfileCommand), global::ClearChargingProfile.ClearChargingProfileCommand.Parser, new[]{ "Id", "ConnectorId", "ChargingProfilePurpose", "StackLevel" }, new[]{ "Id", "ConnectorId", "ChargingProfilePurpose", "StackLevel" }, null, null, null),
            new pbr::GeneratedClrTypeInfo(typeof(global::ClearChargingProfile.ClearChargingProfileCommandResponse), global::ClearChargingProfile.ClearChargingProfileCommandResponse.Parser, new[]{ "Status" }, null, new[]{ typeof(global::ClearChargingProfile.ClearChargingProfileCommandResponse.Types.ClearChargingProfileStatus) }, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class ClearChargingProfileCommand : pb::IMessage<ClearChargingProfileCommand>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<ClearChargingProfileCommand> _parser = new pb::MessageParser<ClearChargingProfileCommand>(() => new ClearChargingProfileCommand());
    private pb::UnknownFieldSet _unknownFields;
    private int _hasBits0;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<ClearChargingProfileCommand> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::ClearChargingProfile.ClearChargingProfileReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ClearChargingProfileCommand() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ClearChargingProfileCommand(ClearChargingProfileCommand other) : this() {
      _hasBits0 = other._hasBits0;
      id_ = other.id_;
      connectorId_ = other.connectorId_;
      chargingProfilePurpose_ = other.chargingProfilePurpose_;
      stackLevel_ = other.stackLevel_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ClearChargingProfileCommand Clone() {
      return new ClearChargingProfileCommand(this);
    }

    /// <summary>Field number for the "id" field.</summary>
    public const int IdFieldNumber = 1;
    private int id_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int Id {
      get { if ((_hasBits0 & 1) != 0) { return id_; } else { return 0; } }
      set {
        _hasBits0 |= 1;
        id_ = value;
      }
    }
    /// <summary>Gets whether the "id" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasId {
      get { return (_hasBits0 & 1) != 0; }
    }
    /// <summary>Clears the value of the "id" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearId() {
      _hasBits0 &= ~1;
    }

    /// <summary>Field number for the "connector_id" field.</summary>
    public const int ConnectorIdFieldNumber = 2;
    private int connectorId_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int ConnectorId {
      get { if ((_hasBits0 & 2) != 0) { return connectorId_; } else { return 0; } }
      set {
        _hasBits0 |= 2;
        connectorId_ = value;
      }
    }
    /// <summary>Gets whether the "connector_id" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasConnectorId {
      get { return (_hasBits0 & 2) != 0; }
    }
    /// <summary>Clears the value of the "connector_id" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearConnectorId() {
      _hasBits0 &= ~2;
    }

    /// <summary>Field number for the "charging_profile_purpose" field.</summary>
    public const int ChargingProfilePurposeFieldNumber = 3;
    private global::ChargingProfile.ChargingProfilePurposeType chargingProfilePurpose_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::ChargingProfile.ChargingProfilePurposeType ChargingProfilePurpose {
      get { if ((_hasBits0 & 4) != 0) { return chargingProfilePurpose_; } else { return global::ChargingProfile.ChargingProfilePurposeType.ChargePointMaxProfile; } }
      set {
        _hasBits0 |= 4;
        chargingProfilePurpose_ = value;
      }
    }
    /// <summary>Gets whether the "charging_profile_purpose" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasChargingProfilePurpose {
      get { return (_hasBits0 & 4) != 0; }
    }
    /// <summary>Clears the value of the "charging_profile_purpose" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearChargingProfilePurpose() {
      _hasBits0 &= ~4;
    }

    /// <summary>Field number for the "stack_level" field.</summary>
    public const int StackLevelFieldNumber = 4;
    private int stackLevel_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int StackLevel {
      get { if ((_hasBits0 & 8) != 0) { return stackLevel_; } else { return 0; } }
      set {
        _hasBits0 |= 8;
        stackLevel_ = value;
      }
    }
    /// <summary>Gets whether the "stack_level" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasStackLevel {
      get { return (_hasBits0 & 8) != 0; }
    }
    /// <summary>Clears the value of the "stack_level" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearStackLevel() {
      _hasBits0 &= ~8;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as ClearChargingProfileCommand);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(ClearChargingProfileCommand other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (Id != other.Id) return false;
      if (ConnectorId != other.ConnectorId) return false;
      if (ChargingProfilePurpose != other.ChargingProfilePurpose) return false;
      if (StackLevel != other.StackLevel) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (HasId) hash ^= Id.GetHashCode();
      if (HasConnectorId) hash ^= ConnectorId.GetHashCode();
      if (HasChargingProfilePurpose) hash ^= ChargingProfilePurpose.GetHashCode();
      if (HasStackLevel) hash ^= StackLevel.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (HasId) {
        output.WriteRawTag(8);
        output.WriteInt32(Id);
      }
      if (HasConnectorId) {
        output.WriteRawTag(16);
        output.WriteInt32(ConnectorId);
      }
      if (HasChargingProfilePurpose) {
        output.WriteRawTag(24);
        output.WriteEnum((int) ChargingProfilePurpose);
      }
      if (HasStackLevel) {
        output.WriteRawTag(32);
        output.WriteInt32(StackLevel);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (HasId) {
        output.WriteRawTag(8);
        output.WriteInt32(Id);
      }
      if (HasConnectorId) {
        output.WriteRawTag(16);
        output.WriteInt32(ConnectorId);
      }
      if (HasChargingProfilePurpose) {
        output.WriteRawTag(24);
        output.WriteEnum((int) ChargingProfilePurpose);
      }
      if (HasStackLevel) {
        output.WriteRawTag(32);
        output.WriteInt32(StackLevel);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (HasId) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(Id);
      }
      if (HasConnectorId) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(ConnectorId);
      }
      if (HasChargingProfilePurpose) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) ChargingProfilePurpose);
      }
      if (HasStackLevel) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(StackLevel);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(ClearChargingProfileCommand other) {
      if (other == null) {
        return;
      }
      if (other.HasId) {
        Id = other.Id;
      }
      if (other.HasConnectorId) {
        ConnectorId = other.ConnectorId;
      }
      if (other.HasChargingProfilePurpose) {
        ChargingProfilePurpose = other.ChargingProfilePurpose;
      }
      if (other.HasStackLevel) {
        StackLevel = other.StackLevel;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            Id = input.ReadInt32();
            break;
          }
          case 16: {
            ConnectorId = input.ReadInt32();
            break;
          }
          case 24: {
            ChargingProfilePurpose = (global::ChargingProfile.ChargingProfilePurposeType) input.ReadEnum();
            break;
          }
          case 32: {
            StackLevel = input.ReadInt32();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            Id = input.ReadInt32();
            break;
          }
          case 16: {
            ConnectorId = input.ReadInt32();
            break;
          }
          case 24: {
            ChargingProfilePurpose = (global::ChargingProfile.ChargingProfilePurposeType) input.ReadEnum();
            break;
          }
          case 32: {
            StackLevel = input.ReadInt32();
            break;
          }
        }
      }
    }
    #endif

  }

  public sealed partial class ClearChargingProfileCommandResponse : pb::IMessage<ClearChargingProfileCommandResponse>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<ClearChargingProfileCommandResponse> _parser = new pb::MessageParser<ClearChargingProfileCommandResponse>(() => new ClearChargingProfileCommandResponse());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<ClearChargingProfileCommandResponse> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::ClearChargingProfile.ClearChargingProfileReflection.Descriptor.MessageTypes[1]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ClearChargingProfileCommandResponse() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ClearChargingProfileCommandResponse(ClearChargingProfileCommandResponse other) : this() {
      status_ = other.status_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ClearChargingProfileCommandResponse Clone() {
      return new ClearChargingProfileCommandResponse(this);
    }

    /// <summary>Field number for the "status" field.</summary>
    public const int StatusFieldNumber = 1;
    private global::ClearChargingProfile.ClearChargingProfileCommandResponse.Types.ClearChargingProfileStatus status_ = global::ClearChargingProfile.ClearChargingProfileCommandResponse.Types.ClearChargingProfileStatus.Accepted;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::ClearChargingProfile.ClearChargingProfileCommandResponse.Types.ClearChargingProfileStatus Status {
      get { return status_; }
      set {
        status_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as ClearChargingProfileCommandResponse);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(ClearChargingProfileCommandResponse other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (Status != other.Status) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (Status != global::ClearChargingProfile.ClearChargingProfileCommandResponse.Types.ClearChargingProfileStatus.Accepted) hash ^= Status.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (Status != global::ClearChargingProfile.ClearChargingProfileCommandResponse.Types.ClearChargingProfileStatus.Accepted) {
        output.WriteRawTag(8);
        output.WriteEnum((int) Status);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (Status != global::ClearChargingProfile.ClearChargingProfileCommandResponse.Types.ClearChargingProfileStatus.Accepted) {
        output.WriteRawTag(8);
        output.WriteEnum((int) Status);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (Status != global::ClearChargingProfile.ClearChargingProfileCommandResponse.Types.ClearChargingProfileStatus.Accepted) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) Status);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(ClearChargingProfileCommandResponse other) {
      if (other == null) {
        return;
      }
      if (other.Status != global::ClearChargingProfile.ClearChargingProfileCommandResponse.Types.ClearChargingProfileStatus.Accepted) {
        Status = other.Status;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            Status = (global::ClearChargingProfile.ClearChargingProfileCommandResponse.Types.ClearChargingProfileStatus) input.ReadEnum();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            Status = (global::ClearChargingProfile.ClearChargingProfileCommandResponse.Types.ClearChargingProfileStatus) input.ReadEnum();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the ClearChargingProfileCommandResponse message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum ClearChargingProfileStatus {
        [pbr::OriginalName("Accepted")] Accepted = 0,
        [pbr::OriginalName("Unknown")] Unknown = 1,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
